MLAPI API Reference

# CryptographyHelper
Encrypt Method

[This is preliminary documentation and is subject to change.]

Encrypts a message with AES with a given key and a random salt that gets encoded as the first 16 bytes of the encrypted buffer

Namespace: MLAPI.NetworkingManagerComponents.Cryptography
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static byte[] Encrypt(
    	byte[] clearBuffer,
    	byte[] key
    )

Request Example
View Source

#### Parameters

clearBuffer
  Type:
  System
  Byte
  The buffer to be encrypted
key
  Type:
  System
  Byte
  The key to use

#### Return Value

Type:
Byte
The encrypted byte array with encoded salt
See Also

#### Reference

CryptographyHelper Class
MLAPI.NetworkingManagerComponents.Cryptography Namespace